summaryrefslogtreecommitdiff
path: root/.local/bin/dwmbar/dwmb-mail
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/dwmbar/dwmb-mail')
-rwxr-xr-x.local/bin/dwmbar/dwmb-mail20
1 files changed, 20 insertions, 0 deletions
diff --git a/.local/bin/dwmbar/dwmb-mail b/.local/bin/dwmbar/dwmb-mail
new file mode 100755
index 0000000..2ceb89d
--- /dev/null
+++ b/.local/bin/dwmbar/dwmb-mail
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# Displays number of unread mail and an loading icon if updating.
+# When clicked, brings up `neomutt`.
+
+case $BLOCK_BUTTON in
+ 1) setsid -f "$TERMINAL" -e neomutt ;;
+ 2) setsid -f mw sync >/dev/null ;;
+ 3) notify-send " Mail module" "\- Shows unread mail
+- Shows  if syncing mail
+- Left click opens neomutt
+- Middle click syncs mail" ;;
+ 6) "$TERMINAL" -e "$EDITOR" "$0" ;;
+esac
+
+unread="$(find "${XDG_DATA_HOME:-$HOME/.local/share}"/mail/*/*/new/* -type f | wc -l 2>/dev/null)"
+
+pidof mbsync >/dev/null 2>&1 && icon=" "
+
+[ "$unread" = "0" ] && [ "$icon" = "" ] || echo "  $unread$icon"